"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setLambdaResult = setLambdaResult;
exports.default = exports.result = void 0;
let lambdaResult = null;

function setLambdaResult(value) {
  lambdaResult = value;
}

const result = [];
exports.result = result;
const Lambda = jest.fn().mockImplementation(function (...args) {
  result.push(['Lambda constructor', ...args]);
  this._invokePromiseResult = Promise.resolve({
    FunctionError: null,
    Payload: JSON.stringify(lambdaResult)
  });
});
Lambda.prototype._toInvokePromise = jest.fn().mockImplementation(function (...args) {
  result.push(['Lambda invoke.promise', ...args]);
  return this._invokePromiseResult;
});
Lambda.prototype.invoke = jest.fn().mockImplementation(function (...args) {
  result.push(['Lambda invoke', ...args]);
  return {
    promise: this._toInvokePromise.bind(this)
  };
});
var _default = Lambda;
exports.default = _default;
//# sourceMappingURL=lambda.js.map