"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _wrapApiHandler = _interopRequireDefault(require("./wrap-api-handler"));

var _mainHandler = _interopRequireDefault(require("../common/handlers/main-handler"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getCustomParameters = async resolve => ({
  resolve
});

const apiGatewayHandler = async (lambdaEvent, lambdaContext, resolve) => {
  const onError = async (error, path) => {
    try {
      await resolve.monitoring.error(error, 'apiHandler', {
        path
      });
    } catch (e) {}
  };

  const executor = (0, _wrapApiHandler.default)(_mainHandler.default, getCustomParameters.bind(null, resolve), onError);
  const segment = resolve.performanceTracer.getSegment();
  const subSegment = segment.addNewSubsegment('apiHandler');

  try {
    return await executor(lambdaEvent, lambdaContext);
  } catch (error) {
    subSegment.addError(error);
    throw error;
  } finally {
    subSegment.close();
  }
};

var _default = apiGatewayHandler;
exports.default = _default;
//# sourceMappingURL=api-gateway-handler.js.map