"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _jsonwebtoken = _interopRequireDefault(require("jsonwebtoken"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getSubscribeAdapterOptions = async (resolve, origin, eventTypes, aggregateIds) => {
  const {
    RESOLVE_DEPLOYMENT_ID,
    RESOLVE_WS_URL,
    RESOLVE_ENCRYPTED_DEPLOYMENT_ID
  } = process.env;

  const token = _jsonwebtoken.default.sign({
    eventTypes,
    aggregateIds
  }, RESOLVE_ENCRYPTED_DEPLOYMENT_ID);

  const subscribeUrl = `${RESOLVE_WS_URL}?deploymentId=${RESOLVE_DEPLOYMENT_ID}&token=${token}`;
  return {
    appId: RESOLVE_DEPLOYMENT_ID,
    url: subscribeUrl
  };
};

var _default = getSubscribeAdapterOptions;
exports.default = _default;
//# sourceMappingURL=get-subscribe-adapter-options.js.map