"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _awsXraySdkCore = _interopRequireDefault(require("aws-xray-sdk-core"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const initPerformanceTracer = resolve => {
  let segment = process.env.TRACE ? _awsXraySdkCore.default.getSegment() : null;
  let traceId = process.env._X_AMZN_TRACE_ID;
  Object.defineProperty(resolve, 'performanceTracer', {
    value: {
      getSegment: () => {
        if (traceId !== process.env._X_AMZN_TRACE_ID) {
          traceId = process.env._X_AMZN_TRACE_ID;
          segment = process.env.TRACE ? _awsXraySdkCore.default.getSegment() : null;
        }

        return {
          addNewSubsegment: subsegmentName => {
            const subsegment = process.env.TRACE ? segment.addNewSubsegment(subsegmentName) : null;
            const prevSegment = segment;
            segment = subsegment;
            return {
              addAnnotation: (annotationName, data) => {
                if (process.env.TRACE) {
                  subsegment.addAnnotation(annotationName, data != null ? data : '<Empty annotation>');
                }
              },
              addError: error => {
                if (process.env.TRACE) {
                  subsegment.addError(error);
                }
              },
              close: () => {
                if (process.env.TRACE) {
                  subsegment.close();
                  segment = prevSegment;
                }
              }
            };
          }
        };
      }
    }
  });
};

var _default = initPerformanceTracer;
exports.default = _default;
//# sourceMappingURL=init-performance-tracer.js.map