"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _debugLevels = _interopRequireDefault(require("@resolve-js/debug-levels"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _debugLevels.default)('resolve:runtime:scheduler-event-handler');

const handleSchedulerEvent = async ({
  entry
}, resolve) => {
  log.debug(`dispatching lambda event to all available schedulers`);

  if (resolve != null && resolve.scheduler != null && typeof resolve.scheduler.executeEntries === 'function') {
    return resolve.scheduler.executeEntries(entry);
  }

  log.warn(`no resolve.executeSaga.runScheduler property defined`);
  return {
    message: 'no registered sagas'
  };
};

var _default = handleSchedulerEvent;
exports.default = _default;
//# sourceMappingURL=scheduler-event-handler.js.map