"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _debugLevels = _interopRequireDefault(require("@resolve-js/debug-levels"));

var _bootstrapOne = _interopRequireDefault(require("./bootstrap-one"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _debugLevels.default)('resolve:runtime:bootstrap');

const bootstrap = async resolve => {
  log.debug('bootstrap started');
  const promises = [];

  for (const {
    name,
    eventTypes
  } of resolve.eventListeners.values()) {
    promises.push((0, _bootstrapOne.default)({
      applicationName: resolve.applicationName,
      eventstoreAdapter: resolve.eventstoreAdapter,
      eventSubscriber: resolve.eventSubscriber,
      name,
      eventTypes,
      destination: resolve.eventSubscriberDestination,
      upstream: resolve.upstream
    }));
  }

  await Promise.all(promises);
  log.debug('bootstrap successful');
  return 'ok';
};

var _default = bootstrap;
exports.default = _default;
//# sourceMappingURL=bootstrap.js.map