"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _debugLevels = _interopRequireDefault(require("@resolve-js/debug-levels"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _debugLevels.default)('resolve:runtime:dispose-resolve');

const disposeResolve = async resolve => {
  try {
    const disposePromises = [resolve.executeCommand.dispose(), resolve.executeQuery.dispose(), resolve.executeSaga.dispose(), resolve.eventstoreAdapter.dispose()];

    for (const name of Object.keys(resolve.readModelConnectors)) {
      disposePromises.push(resolve.readModelConnectors[name].dispose());
    }

    log.debug(`awaiting ${disposePromises.length} entries to dispose`);
    await Promise.all(disposePromises);
    log.info('resolve entries are disposed');
  } catch (error) {
    log.error('resolve entries disposing error');
    log.error(error);
  }
};

var _default = disposeResolve;
exports.default = _default;
//# sourceMappingURL=dispose-resolve.js.map