"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _debugLevels = _interopRequireDefault(require("@resolve-js/debug-levels"));

var _liveRequire = _interopRequireDefault(require("../utils/live-require"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _debugLevels.default)('resolve:runtime:fail-handler');

const liveRequireHandler = (moduleOptions, imports) => async (req, res) => {
  try {
    const {
      modulePath,
      moduleFactoryImport = false,
      ...options
    } = moduleOptions;
    const resource = (0, _liveRequire.default)(modulePath);

    if (typeof resource !== 'function') {
      throw new Error(`Runtime-import function from "${modulePath}" failed`);
    }

    const handler = moduleFactoryImport ? resource(options, imports) : resource;
    return await handler(req, res);
  } catch (error) {
    const errorText = error != null ? error.message : 'Live handler error';
    await res.status(500);
    await res.end(errorText);
    log.warn(errorText);
  }
};

var _default = liveRequireHandler;
exports.default = _default;
//# sourceMappingURL=live-require-handler.js.map