"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const shutdownOne = async ({
  applicationName,
  name,
  eventstoreAdapter,
  eventSubscriber,
  upstream
}) => {
  try {
    if (upstream) {
      await eventSubscriber.pause({
        eventSubscriber: name
      });
    }

    await eventSubscriber.unsubscribe({
      eventSubscriber: name
    });
    await eventstoreAdapter.removeEventSubscriber({
      applicationName,
      eventSubscriber: name
    });
  } catch (error) {
    // eslint-disable-next-line no-console
    console.warn(`
      Event subscriber "${name}" can't stop subscription because of error "${error}"
    `);
  }
};

var _default = shutdownOne;
exports.default = _default;
//# sourceMappingURL=shutdown-one.js.map