"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _debugLevels = _interopRequireDefault(require("@resolve-js/debug-levels"));

var _shutdownOne = _interopRequireDefault(require("./shutdown-one"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _debugLevels.default)('resolve:runtime:shutdown');

const shutdown = async (resolve, upstream) => {
  log.debug('shutdown started');
  const promises = [];

  for (const {
    name
  } of resolve.eventListeners.values()) {
    promises.push((0, _shutdownOne.default)({
      applicationName: resolve.applicationName,
      eventstoreAdapter: resolve.eventstoreAdapter,
      eventSubscriber: resolve.eventSubscriber,
      name,
      upstream
    }));
  }

  await Promise.all(promises);
  log.debug('shutdown successful');
  return 'ok';
};

var _default = shutdown;
exports.default = _default;
//# sourceMappingURL=shutdown.js.map