"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _debugLevels = _interopRequireDefault(require("@resolve-js/debug-levels"));

var _url = _interopRequireDefault(require("url"));

var _getRootBasedUrl = _interopRequireDefault(require("./get-root-based-url"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _debugLevels.default)('resolve:runtime:getStaticBasedPath');
const validate = {
  nonEmptyString: (value, name) => {
    if (!(value != null && value.constructor === String)) {
      log.warn('Value is not a string', value);
      throw new Error(`${name} must be a string`);
    }

    if (value === '') {
      log.warn('Value is not empty string', value);
      throw new Error(`${name} must be a non-empty string`);
    }
  }
};

const getStaticBasedPath = (rootPath, staticPath, filename) => {
  validate.nonEmptyString(staticPath, 'Static path');
  validate.nonEmptyString(filename, 'Filename');
  return (0, _getRootBasedUrl.default)(rootPath, _url.default.resolve(`${staticPath}/`, `./${filename}`));
};

var _default = getStaticBasedPath;
exports.default = _default;
//# sourceMappingURL=get-static-based-path.js.map