"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _interopRequireDefault = _interopRequireDefault2(require("@babel/runtime/helpers/interopRequireDefault"));

var _debugLevels = _interopRequireDefault2(require("@resolve-js/debug-levels"));

var _path = _interopRequireDefault2(require("path"));

var _entryPointMarker = _interopRequireDefault2(require("./entry-point-marker"));

function _interopRequireDefault2(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _debugLevels.default)('resolve:runtime:liveRequire');
const pureRequire = __non_webpack_require__; //eslint-disable-line no-undef

const entryPointDirnamePlaceholder = Symbol('EntryPointDirnamePlaceholder');
let entryPointDirname = entryPointDirnamePlaceholder;

const liveRequire = filePath => {
  if (entryPointDirname === entryPointDirnamePlaceholder) {
    entryPointDirname = (Object.values(pureRequire.cache).find(({
      exports
    }) => exports != null && exports.entryPointMarker === _entryPointMarker.default) || {}).filename;
  }

  let resource = null;
  const isRealFilePath = filePath[0] === '/' || filePath[0] === '.';

  if (isRealFilePath && entryPointDirname == null) {
    log.error('Entry point working directory recognition failed');
    return resource;
  }

  const fullPath = isRealFilePath ? _path.default.resolve(_path.default.dirname(entryPointDirname), filePath) : filePath;

  try {
    resource = (0, _interopRequireDefault.default)(pureRequire(fullPath)).default;
  } catch (error) {
    log.error('Live require failed:', error);
  }

  try {
    delete pureRequire.cache[pureRequire.resolve(filePath)];
  } catch (e) {}

  return resource;
};

var _default = liveRequire;
exports.default = _default;
//# sourceMappingURL=live-require.js.map