"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _fs = _interopRequireDefault(require("fs"));

var _util = require("util");

var _stream = require("stream");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const exportEventStoreHandler = options => async (req, res) => {
  const {
    eventstoreAdapter
  } = req.resolve;

  try {
    const {
      directory
    } = options;

    if (!_fs.default.existsSync(directory)) {
      _fs.default.mkdirSync(directory);
    }

    const eventsFile = _path.default.join(directory, 'events.db');

    const secretsFile = _path.default.join(directory, 'secrets.db');

    await (0, _util.promisify)(_stream.pipeline)(eventstoreAdapter.exportEvents(), _fs.default.createWriteStream(eventsFile));
    await (0, _util.promisify)(_stream.pipeline)(eventstoreAdapter.exportSecrets(), _fs.default.createWriteStream(secretsFile));
    res.end('ok');
  } catch (error) {
    // eslint-disable-next-line no-console
    console.error(error);
    res.status(500);
    res.end(String(error));
  }
};

var _default = exportEventStoreHandler;
exports.default = _default;
//# sourceMappingURL=export-event-store-handler.js.map