"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _url = _interopRequireDefault(require("url"));

var _getRootBasedUrl = _interopRequireDefault(require("../common/utils/get-root-based-url"));

var _jsonwebtoken = _interopRequireDefault(require("jsonwebtoken"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getSubscribeAdapterOptions = async (resolve, origin, eventTypes, aggregateIds) => {
  const token = _jsonwebtoken.default.sign({
    eventTypes,
    aggregateIds
  }, resolve.applicationName);

  const {
    protocol,
    hostname,
    port
  } = _url.default.parse(origin);

  const isSecure = /^https/.test(protocol);
  const targetProtocol = isSecure ? 'wss' : 'ws';
  const targetPath = '/api/websocket';
  const targetPort = port == null ? [80, 443][+isSecure] : port;
  const subscribeUrl = `${targetProtocol}://${hostname}:${targetPort}${(0, _getRootBasedUrl.default)(resolve.rootPath, targetPath)}?deploymentId=${resolve.applicationName}&token=${token}`;
  return {
    appId: resolve.applicationName,
    url: subscribeUrl
  };
};

var _default = getSubscribeAdapterOptions;
exports.default = _default;
//# sourceMappingURL=get-subscribe-adapter-options.js.map