"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _express = _interopRequireDefault(require("express"));

var _http = require("http");

var _path = _interopRequireDefault(require("path"));

var _wrapApiHandler = _interopRequireDefault(require("./wrap-api-handler"));

var _mainHandler = _interopRequireDefault(require("../common/handlers/main-handler"));

var _getRootBasedUrl = _interopRequireDefault(require("../common/utils/get-root-based-url"));

var _initResolve = _interopRequireDefault(require("../common/init-resolve"));

var _disposeResolve = _interopRequireDefault(require("../common/dispose-resolve"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const initExpress = async resolve => {
  const app = (0, _express.default)();
  const server = new _http.Server(app);
  Object.defineProperties(resolve, {
    app: {
      value: app
    },
    server: {
      value: server
    }
  });
  resolve.app.use((0, _getRootBasedUrl.default)(resolve.rootPath, `/${resolve.staticPath}`), _express.default.static(_path.default.join(process.cwd(), resolve.distDir, './client')));
  resolve.app.use(async (req, res) => {
    const currentResolve = Object.create(resolve);

    try {
      await (0, _initResolve.default)(currentResolve);

      const getCustomParameters = async () => ({
        resolve: currentResolve
      });

      const executor = (0, _wrapApiHandler.default)(_mainHandler.default, getCustomParameters);
      await executor(req, res);
    } finally {
      await (0, _disposeResolve.default)(currentResolve);
    }
  });
};

var _default = initExpress;
exports.default = _default;
//# sourceMappingURL=init-express.js.map